> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.itential.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.itential.com/_mcp/server.

# Get the health of all the applications

GET https://example.itential.io/health/applications

Returns the health of all the applications in Itential Platform.

Reference: https://docs.itential.com/itential-platform/6/api-reference/health/get-applications-health

## Authentication

- `Authorization` header (basic auth, required) — Basic authentication of the form `Basic <base64(username:password)>`.

## Request

### Query parameters

- `contains` (string, optional) — contains
- `containsField` (string, optional) — containsField
- `equals` (string, optional) — equals
- `equalsField` (string, optional) — equalsField
- `startsWith` (string, optional) — startsWith
- `startsWithField` (string, optional) — startsWithField
- `skip` (integer, optional, default: 0) — skip
- `limit` (integer, optional, default: 25) — limit
- `sort` (enum, optional, default: name) — sort
  - Allowed values: `name`
- `order` (enum, optional, default: 1) — order
  - Allowed values: `-1`, `1`

## Response

### 200

Contains the applications health data.

- `results` (list of object, optional)
  - `id` (string, optional)
  - `package_id` (string, optional, default: ) — The model used by the service
  - `version` (string, optional)
  - `type` (enum, optional)
    - Allowed values: `Adapter`, `Application`
  - `description` (string, optional)
  - `state` (enum, optional)
    - Allowed values: `DEAD`, `STOPPED`, `RUNNING`, `DELETED`
  - `connection` (any or object, optional)
    - object
      - `state` (string, optional)
  - `uptime` (double, optional) — Number of seconds the current process has been running.
  - `memoryUsage` (object, optional)
    - `rss` (integer, optional) — Resident Set Size - the amount of space occupied in the main memory - in bytes
    - `heapTotal` (integer, optional) — Heap Total in bytes for the Node V8 engine
    - `heapUsed` (integer, optional) — Heap Used in bytes by the Node V8 engine
    - `external` (integer, optional) — External usage - memory usage of C++ objects bound to JavaScript objects managed by the Node V8 engine - in bytes
  - `cpuUsage` (object, optional) — Contains microsecond data for user and system modes. These values are used to calculate CPU usage (with implied conversions) by the following formula : (current CPU usage - previous CPU usage) / (current uptime - previous uptime)
    - `user` (integer, optional) — Microseconds spent in user mode
    - `system` (integer, optional) — Microseconds spent in system mode
  - `pid` (integer, optional)
  - `logger` (object, optional)
    - `console` (enum, optional)
      - Allowed values: `error`, `warn`, `info`, `debug`, `trace`, `spam`
    - `file` (enum, optional)
      - Allowed values: `error`, `warn`, `info`, `debug`, `trace`, `spam`
    - `syslog` (enum, optional)
      - Allowed values: `debug`, `info`, `warning`, `error`
  - `routePrefix` (string, optional)
  - `prevUptime` (double, optional)
- `total` (integer, optional) — The total number of documents

## Errors

### 500 Internal Server Error

Error response from API

- `any`

## Examples

**Response**

```json
{
  "results": [
    {
      "id": "AdminEssentials",
      "package_id": "@itential/adapter-local_aaa",
      "version": "0.0.1",
      "type": "Adapter",
      "description": "A basic description",
      "state": "DEAD",
      "connection": {},
      "uptime": 2245.9722,
      "memoryUsage": {
        "rss": 7125982,
        "heapTotal": 7125982,
        "heapUsed": 7125982,
        "external": 7125982
      },
      "cpuUsage": {
        "user": 7125982,
        "system": 7125982
      },
      "pid": 7125982,
      "logger": {
        "console": "error",
        "file": "error",
        "syslog": "debug"
      },
      "routePrefix": "admin",
      "prevUptime": 2245.9722
    }
  ],
  "total": 1
}
```

**SDK Code**

```python
import requests

url = "https://example.itential.io/health/applications"

response = requests.get(url)

print(response.json())
```

```javascript
const url = 'https://example.itential.io/health/applications';
const options = {method: 'GET'};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://example.itential.io/health/applications"

	req, _ := http.NewRequest("GET", url, nil)

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://example.itential.io/health/applications")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://example.itential.io/health/applications")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://example.itential.io/health/applications');

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://example.itential.io/health/applications");
var request = new RestRequest(Method.GET);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let request = NSMutableURLRequest(url: NSURL(string: "https://example.itential.io/health/applications")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```